Loading...
Searching...
No Matches
Graph::ArcIt Class Reference

## Detailed Description

This iterator goes through each directed arc of the graph. Its usage is quite simple, for example, you can count the number of arcs in a graph `g` of type `Graph` as follows:

int count=0;
for(Graph::ArcIt a(g); a!=INVALID; ++a) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32

`#include <lemon/concepts/graph.h>`

## Public Member Functions

| ArcIt ()
| Default constructor.
| ArcIt (const ArcIt &e)
| Copy constructor.
| ArcIt (Invalid)
| Invalid constructor & conversion.
| ArcIt (const Graph &g)
| Sets the iterator to the first arc.
| ArcIt (const Graph &, const Arc &)
| Sets the iterator to the given arc.
ArcIt & | operator++ ()
| Next arc.

## Constructor & Destructor Documentation

## ArcIt() [1/5]

ArcIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## ArcIt() [2/5]

ArcIt | ( | const ArcIt & | e | ) |

inline

Copy constructor.

## ArcIt() [3/5]

ArcIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## ArcIt() [4/5]

ArcIt | ( | const Graph & | g | ) |

inline explicit

Sets the iterator to the first arc of the given graph.

## ArcIt() [5/5]

ArcIt | ( | const Graph & | ,
|  | const Arc & | )

inline

Sets the iterator to the given arc of the given graph.

## Member Function Documentation

## operator++()

ArcIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next arc.